com.tibbo.aggregate.common.device.sync

## Class SynchronizationResult

- java.lang.Object
- - com.tibbo.aggregate.common.device.sync.SynchronizationResult

-     public class SynchronizationResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CODE_CONNECTION_FAILED`
    `static int` | `CODE_DECLINED_BY_DRIVER`
    `static int` | `CODE_DISABLED_BY_DEPENDENCY`
    `static int` | `CODE_DISCONNECTED`
    `static int` | `CODE_ERROR`
    `static int` | `CODE_INTERRUPTED`
    `static int` | `CODE_MAINTENANCE`
    `static int` | `CODE_OK`
    `static int` | `CODE_SUSPENDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynchronizationResult(int code)`
    `SynchronizationResult(int code, java.util.Set<java.lang.String> postponedVariables)`
    `SynchronizationResult(int code, java.lang.String details)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.util.Set<java.lang.String>` | `getPostponedVariables()`
    `boolean` | `isMaintenance()`
    `boolean` | `isSuccessful()`
    `boolean` | `isSuspended()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CODE_OK

          public static final int CODE_OK

      See Also:
        Constant Field Values

    - #### CODE_SUSPENDED

          public static final int CODE_SUSPENDED

      See Also:
        Constant Field Values

    - #### CODE_DISABLED_BY_DEPENDENCY

          public static final int CODE_DISABLED_BY_DEPENDENCY

      See Also:
        Constant Field Values

    - #### CODE_DECLINED_BY_DRIVER

          public static final int CODE_DECLINED_BY_DRIVER

      See Also:
        Constant Field Values

    - #### CODE_CONNECTION_FAILED

          public static final int CODE_CONNECTION_FAILED

      See Also:
        Constant Field Values

    - #### CODE_INTERRUPTED

          public static final int CODE_INTERRUPTED

      See Also:
        Constant Field Values

    - #### CODE_DISCONNECTED

          public static final int CODE_DISCONNECTED

      See Also:
        Constant Field Values

    - #### CODE_ERROR

          public static final int CODE_ERROR

      See Also:
        Constant Field Values

    - #### CODE_MAINTENANCE

          public static final int CODE_MAINTENANCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SynchronizationResult

          public SynchronizationResult(int code)

    - #### SynchronizationResult

          public SynchronizationResult(int code,
                                       java.lang.String details)

    - #### SynchronizationResult

          public SynchronizationResult(int code,
                                       java.util.Set<java.lang.String> postponedVariables)

  - ### Method Detail

    - #### isSuccessful

          public boolean isSuccessful()

    - #### isSuspended

          public boolean isSuspended()

    - #### isMaintenance

          public boolean isMaintenance()

    - #### getCode

          public int getCode()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPostponedVariables

          public java.util.Set<java.lang.String> getPostponedVariables()